Retrieve a template
Read one template by id.
GET
https://app.usenotix.dev/api/v1/templates/{templateId}Full access and read only keys can call this. Sending access keys cannot. Key permissions lists the extra rules some calls have.
Read one template by id.
Path parameters
templateIdstringrequired
Headers
Authorizationstringrequired
Bearer followed by your API key.
curl -X GET "https://app.usenotix.dev/api/v1/templates/<templateId>" \
-H "Authorization: Bearer $NOTIX_API_KEY"
import { Notix } from "notix-js";
const notix = new Notix(process.env.NOTIX_API_KEY);
const { data, error } = await notix.templates.get("tpl_123");
Response200
{
"id": "cm5t3mplat3id0000",
"name": "Order receipt",
"subject": "Your order {{orderId}}",
"type": "TRANSACTIONAL",
"html": "<p>Thanks for your order.</p>",
"source": {
"provider": "resend",
"migratedAt": "2026-10-07T10:05:00.000Z"
}
}